* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curaengine/, dev-libs/stb/
@ 2019-01-02 21:52 Amy Liffey
0 siblings, 0 replies; only message in thread
From: Amy Liffey @ 2019-01-02 21:52 UTC (permalink / raw
To: gentoo-commits
commit: d1d9eec5390dc20587a59c37d44347cf64b760e3
Author: Mathy Vanvoorden <mathy <AT> vanvoorden <DOT> be>
AuthorDate: Sat Dec 8 22:09:27 2018 +0000
Commit: Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Wed Jan 2 21:48:48 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1d9eec5
dev-libs/stb: new package
This is a header-only package that curaengine uses. Curaengine tries to pull it
from git if not found on the system, which causes the build to break. This
package installs the header files in a place where cmake will find it during
the build.
Closes: https://bugs.gentoo.org/show_bug.cgi?id=670638
Closes: https://bugs.gentoo.org/show_bug.cgi?id=670604
Closes: https://bugs.gentoo.org/show_bug.cgi?id=670418
Closes: https://bugs.gentoo.org/show_bug.cgi?id=661416
Signed-off-by: Mathy Vanvoorden <mathy <AT> vanvoorden.be>
Signed-off-by: Amy Liffey <amynka <AT> gentoo.org>
Package-Manager: Portage[mgorny]-2.3.51.1
dev-libs/stb/Manifest | 1 +
dev-libs/stb/metadata.xml | 19 ++++++++++++++++
dev-libs/stb/stb-20180211.ebuild | 34 ++++++++++++++++++++++++++++
media-gfx/curaengine/curaengine-3.4.1.ebuild | 5 ++--
4 files changed, 57 insertions(+), 2 deletions(-)
diff --git a/dev-libs/stb/Manifest b/dev-libs/stb/Manifest
new file mode 100644
index 00000000000..d666f693370
--- /dev/null
+++ b/dev-libs/stb/Manifest
@@ -0,0 +1 @@
+DIST stb-20180211.tar.gz 1327803 BLAKE2B a910ac78c5e3760a3e4c74e033d15230c39abd89aeb083ba6c7cd23f8339926e8ab82fde1b6f4fe7a1a312023979a74b961abe263c40b18b3bb8239cbdfa204e SHA512 232ef301d4d6c82c7c5f0e4234b9160cc815f3b6bcc35d341cdf8738646f2f0887ee9838680699f4c9f4274b1390036b2c4fb3ebc2d663af8ff888114dc9f04b
diff --git a/dev-libs/stb/metadata.xml b/dev-libs/stb/metadata.xml
new file mode 100644
index 00000000000..c6be08a3261
--- /dev/null
+++ b/dev-libs/stb/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>3dprint@gentoo.org</email>
+ <name>Gentoo 3D Printer Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>mathy@vanvoorden.be</email>
+ <name>Mathy Vanvoorden</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">nothings/stb</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-libs/stb/stb-20180211.ebuild b/dev-libs/stb/stb-20180211.ebuild
new file mode 100644
index 00000000000..6efc838e61b
--- /dev/null
+++ b/dev-libs/stb/stb-20180211.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# There are no offical releases
+CHECKSUM="e6afb9cbae4064da8c3e69af3ff5c4629579c1d2"
+
+DESCRIPTION="single-file public domain (or MIT licensed) libraries for C/C++"
+HOMEPAGE="https://github.com/nothings/stb"
+SRC_URI="https://github.com/nothings/stb/archive/${CHECKSUM}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( MIT Unlicense )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+
+S="${WORKDIR}/${PN}-${CHECKSUM}"
+
+DEPEND=""
+RDEPEND=""
+
+src_prepare() {
+ default
+
+ # Move the header files in a folder so they don't pollute the include dir
+ mkdir stb || die
+ mv *.h stb/ || die
+}
+
+src_install() {
+ doheader -r stb
+}
diff --git a/media-gfx/curaengine/curaengine-3.4.1.ebuild b/media-gfx/curaengine/curaengine-3.4.1.ebuild
index 2f945665c4a..00cac9e508c 100644
--- a/media-gfx/curaengine/curaengine-3.4.1.ebuild
+++ b/media-gfx/curaengine/curaengine-3.4.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -18,7 +18,8 @@ IUSE="doc test"
RDEPEND="${PYTHON_DEPS}
~dev-libs/libarcus-${PV}:*
- dev-libs/protobuf"
+ dev-libs/protobuf
+ dev-libs/stb"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )"
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2019-01-02 21:52 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-01-02 21:52 [gentoo-commits] repo/gentoo:master commit in: media-gfx/curaengine/, dev-libs/stb/ Amy Liffey
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox